package com.huyi.task.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 全国城市表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("te_city_inf")
public class TeCityInf implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableField("tci_id")
    private Integer tciId;

    /**
     * 编号
     */
    @TableId("tci_code")
    private String tciCode;

    /**
     * 城市名称
     */
    @TableField("tci_name")
    private String tciName;

    /**
     * 上级编号
     */
    @TableField("tci_citycode")
    private String tciCitycode;


}
