package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PayAccDetail;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPayAccDetailService<br>
 * Description: PayAccDetailService接口 <br>
 * Company: keao
 *
 * @author pxh
 * @version v1.0.0    2021-10-15  pxh    由Generator自动创建
 */
public interface IPayAccDetailService extends IService<PayAccDetail> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PayAccDetail>
     * @return IPage<PayAccDetail>
     */
    IPage<PayAccDetail> findPayAccDetails(QueryRequest request, LambdaQueryWrapper<PayAccDetail> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PayAccDetail>
     * @return List<PayAccDetail>
     */
    List<PayAccDetail> findPayAccDetails(LambdaQueryWrapper<PayAccDetail> wrapper);

    /**
     * 新增
     *
     * @param payAccDetail payAccDetail
     */
    void createPayAccDetail(PayAccDetail payAccDetail);

    /**
     * 修改
     *
     * @param payAccDetail payAccDetail
     */
    void updatePayAccDetail(PayAccDetail payAccDetail);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PayAccDetail>
     */
    void deletePayAccDetail(LambdaQueryWrapper<PayAccDetail> wrapper);
}
