package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PayAccInf;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPayAccInfService<br>
 * Description: PayAccInfService接口 <br>
 * Company: keao
 *
 * @author pxh
 * @version v1.0.0    2021-10-13  pxh    由Generator自动创建
 */
public interface IPayAccInfService extends IService<PayAccInf> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PayAccInf>
     * @return IPage<PayAccInf>
     */
    IPage<PayAccInf> findPayAccInfs(QueryRequest request, LambdaQueryWrapper<PayAccInf> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PayAccInf>
     * @return List<PayAccInf>
     */
    List<PayAccInf> findPayAccInfs(LambdaQueryWrapper<PayAccInf> wrapper);

    /**
     * 新增
     *
     * @param payAccInf payAccInf
     */
    void createPayAccInf(PayAccInf payAccInf);

    /**
     * 修改
     *
     * @param payAccInf payAccInf
     */
    void updatePayAccInf(PayAccInf payAccInf);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PayAccInf>
     */
    void deletePayAccInf(LambdaQueryWrapper<PayAccInf> wrapper);
}
