package com.huyi.task.base.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.PubVerifyCode;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IPubVerifyCodeService<br>
 * Description: PubVerifyCodeService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-08-19  cuixq    由Generator自动创建
 */
public interface IPubVerifyCodeService extends IService<PubVerifyCode> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<PubVerifyCode>
     * @return IPage<PubVerifyCode>
     */
    IPage<PubVerifyCode> findPubVerifyCodes(QueryRequest request, LambdaQueryWrapper<PubVerifyCode> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<PubVerifyCode>
     * @return List<PubVerifyCode>
     */
    List<PubVerifyCode> findPubVerifyCodes(LambdaQueryWrapper<PubVerifyCode> wrapper);

    /**
     * 新增
     *
     * @param pubVerifyCode pubVerifyCode
     */
    void createPubVerifyCode(PubVerifyCode pubVerifyCode);

    /**
     * 修改
     *
     * @param pubVerifyCode pubVerifyCode
     */
    void updatePubVerifyCode(PubVerifyCode pubVerifyCode);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<PubVerifyCode>
     */
    void deletePubVerifyCode(LambdaQueryWrapper<PubVerifyCode> wrapper);
}
