package com.huyi.task.base.service;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysDept;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysDeptService<br>
 * Description: SysDeptService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-01  cuixq    由Generator自动创建
 */
public interface ISysDeptService extends IService<SysDept> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysDept>
     * @return IPage<SysDept>
     */
    IPage<SysDept> findSysDepts(QueryRequest request, LambdaQueryWrapper<SysDept> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysDept>
     * @return List<SysDept>
     */
    List<SysDept> findSysDepts(LambdaQueryWrapper<SysDept> wrapper);

    /**
     * 新增
     *
     * @param sysDept sysDept
     */
    void createSysDept(SysDept sysDept);

    /**
     * 修改
     *
     * @param sysDept sysDept
     */
    void updateSysDept(SysDept sysDept);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysDept>
     */
    void deleteSysDept(LambdaQueryWrapper<SysDept> wrapper);
}
