package com.huyi.task.base.service;


import com.huyi.task.base.entity.SysDictData;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;



import java.util.List;

/**
 * ClassName: ISysDictDataService<br>
 * Description: SysDictDataService接口 <br>
 * Company: keao
 *
 * @author cuixq
 * @version v1.0.0    2021-09-10  cuixq    由Generator自动创建
 */
public interface ISysDictDataService extends IService<SysDictData> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysDictData>
     * @return IPage<SysDictData>
     */
    IPage<SysDictData> findSysDictDatas(QueryRequest request, LambdaQueryWrapper<SysDictData> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysDictData>
     * @return List<SysDictData>
     */
    List<SysDictData> findSysDictDatas(LambdaQueryWrapper<SysDictData> wrapper);

    /**
     * 新增
     *
     * @param sysDictData sysDictData
     */
    void createSysDictData(SysDictData sysDictData);

    /**
     * 修改
     *
     * @param sysDictData sysDictData
     */
    void updateSysDictData(SysDictData sysDictData);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysDictData>
     */
    void deleteSysDictData(LambdaQueryWrapper<SysDictData> wrapper);
}
