package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.SysCompany;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: ISysCompanyService<br>
 * Description: SysCompanyService接口 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-21  songqg    由Generator自动创建
 */
public interface ISysCompanyService extends IService<SysCompany> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<SysCompany>
     * @return IPage<SysCompany>
     */
    IPage<SysCompany> findSysCompanys(QueryRequest request, LambdaQueryWrapper<SysCompany> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<SysCompany>
     * @return List<SysCompany>
     */
    List<SysCompany> findSysCompanys(LambdaQueryWrapper<SysCompany> wrapper);

    /**
     * 新增
     *
     * @param sysCompany sysCompany
     */
    void createSysCompany(SysCompany sysCompany);

    /**
     * 修改
     *
     * @param sysCompany sysCompany
     */
    void updateSysCompany(SysCompany sysCompany);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<SysCompany>
     */
    void deleteSysCompany(LambdaQueryWrapper<SysCompany> wrapper);
}
