package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceProComRel;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceProComRelService<br>
 * Description: ZcFinanceProComRelService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceProComRelService extends IService<ZcFinanceProComRel> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceProComRel>
     * @return IPage<ZcFinanceProComRel>
     */
    IPage<ZcFinanceProComRel> findZcFinanceProComRels(QueryRequest request, LambdaQueryWrapper<ZcFinanceProComRel> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProComRel>
     * @return List<ZcFinanceProComRel>
     */
    List<ZcFinanceProComRel> findZcFinanceProComRels(LambdaQueryWrapper<ZcFinanceProComRel> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceProComRel zcFinanceProComRel
     */
    void createZcFinanceProComRel(ZcFinanceProComRel zcFinanceProComRel);

    /**
     * 修改
     *
     * @param zcFinanceProComRel zcFinanceProComRel
     */
    void updateZcFinanceProComRel(ZcFinanceProComRel zcFinanceProComRel);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProComRel>
     */
    void deleteZcFinanceProComRel(LambdaQueryWrapper<ZcFinanceProComRel> wrapper);
}
