package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcFinanceProduct;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcFinanceProductService<br>
 * Description: ZcFinanceProductService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcFinanceProductService extends IService<ZcFinanceProduct> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcFinanceProduct>
     * @return IPage<ZcFinanceProduct>
     */
    IPage<ZcFinanceProduct> findZcFinanceProducts(QueryRequest request, LambdaQueryWrapper<ZcFinanceProduct> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProduct>
     * @return List<ZcFinanceProduct>
     */
    List<ZcFinanceProduct> findZcFinanceProducts(LambdaQueryWrapper<ZcFinanceProduct> wrapper);

    /**
     * 新增
     *
     * @param zcFinanceProduct zcFinanceProduct
     */
    void createZcFinanceProduct(ZcFinanceProduct zcFinanceProduct);

    /**
     * 修改
     *
     * @param zcFinanceProduct zcFinanceProduct
     */
    void updateZcFinanceProduct(ZcFinanceProduct zcFinanceProduct);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcFinanceProduct>
     */
    void deleteZcFinanceProduct(LambdaQueryWrapper<ZcFinanceProduct> wrapper);
}
