package com.huyi.task.base.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.task.base.entity.ZcRepaymentRecord;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import java.util.List;

/**
 * ClassName: IZcRepaymentRecordService<br>
 * Description: ZcRepaymentRecordService接口 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
public interface IZcRepaymentRecordService extends IService<ZcRepaymentRecord> {
    /**
     * 查询（分页）
     *
     * @param request QueryRequest
     * @param wrapper LambdaQueryWrapper<ZcRepaymentRecord>
     * @return IPage<ZcRepaymentRecord>
     */
    IPage<ZcRepaymentRecord> findZcRepaymentRecords(QueryRequest request, LambdaQueryWrapper<ZcRepaymentRecord> wrapper);

    /**
     * 查询（所有）
     *
     * @param wrapper LambdaQueryWrapper<ZcRepaymentRecord>
     * @return List<ZcRepaymentRecord>
     */
    List<ZcRepaymentRecord> findZcRepaymentRecords(LambdaQueryWrapper<ZcRepaymentRecord> wrapper);

    /**
     * 新增
     *
     * @param zcRepaymentRecord zcRepaymentRecord
     */
    void createZcRepaymentRecord(ZcRepaymentRecord zcRepaymentRecord);

    /**
     * 修改
     *
     * @param zcRepaymentRecord zcRepaymentRecord
     */
    void updateZcRepaymentRecord(ZcRepaymentRecord zcRepaymentRecord);

    /**
     * 删除
     *
     * @param wrapper LambdaQueryWrapper<ZcRepaymentRecord>
     */
    void deleteZcRepaymentRecord(LambdaQueryWrapper<ZcRepaymentRecord> wrapper);
}
