package com.huyi.task.taskMan.service.impl;

import com.huyi.task.taskMan.mapper.CreditTaskMapper;
import com.huyi.task.taskMan.mapper.FinanceTimedTaskMapper;
import com.huyi.task.taskMan.service.CreditTaskService;
import com.huyi.task.taskMan.service.FinanceTimedTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 还款Service业务层处理
 * 
 * @author ch
 * @date 2021-09-06
 */
@Service
public class CreditTaskServiceImpl implements CreditTaskService
{
    @Autowired
    private CreditTaskMapper creditTaskMapper;


    @Override
    public List<Map> selectExpireCredit(Map map) {
        return creditTaskMapper.selectExpireCredit(map);
    }
}
